parent: classic
name: classic-child
display_name: Theme based on Prestashop classic
version: 1.0.0
author:
  name: "Agence2Web"
  url: "https://www.agence2web.com/"
assets:
  use_parent_assets: false

global_settings:
  configuration:
    PS_IMAGE_QUALITY: png
  modules:
    to_enable:
      - ps_linklist
  hooks:
    custom_hooks:
      - name: displayMySocialLinks
        title: displayMySocialLinks
        description: Social links on contact page
      - name: displayRootCategory
        title: displayRootCategory
        description: Root category page
      - name: displayFooterAfterLeft
        title: displayFooterAfterLeft
        description: footer after - left side
      - name: displayNavCustom
        title: displayNavCustom
        description: nav custom
    modules_to_hook:
      displayNavCustom:
        - ps_mainmenu
      displayNav1:
        - ps_searchbar
      displayNav2:
        - ps_languageselector
        - ps_currencyselector
        - ps_customersignin
        - ps_shoppingcart
      displayTop:
        - ps_mainmenu
      displayNavFullWidth:
        - ps_searchbar
      displayHome:
        - ps_imageslider
        - aw_displaycategories
        - ps_customtext
        - ps_featuredproducts
        - fscustomhtml
      displayRootCategory:
        - aw_displaycategories
      displayFooterBefore:
      displayFooterAfter:
        - ps_socialfollow
      displayFooterAfterLeft:
        - ps_linklist
      displayFooter:
        - ps_contactinfo
        - ps_linklist
        - ps_emailsubscription
      displayLeftColumn:
        - ps_categorytree
      displaySearch:
        - ps_searchbar
      displayOrderConfirmation2:
        - ps_featuredproducts
      displayCrossSellingShoppingCart:
        - ps_featuredproducts
      displayMySocialLinks:
        - ps_socialfollow

  image_types:
    cart_default:
      width: 125
      height: 125
      scope: [products]
    small_default:
      width: 98
      height: 98
      scope: [products, categories, manufacturers, suppliers]
    medium_default:
      width: 452
      height: 452
      scope: [products, manufacturers, suppliers]
    home_default:
      width: 250
      height: 250
      scope: [products]
    large_default:
      width: 800
      height: 800
      scope: [products, manufacturers, suppliers]
    category_default:
      width: 141
      height: 180
      scope: [categories]
    stores_default:
      width: 170
      height: 115
      scope: [stores]

theme_settings:
  default_layout: layout-full-width
  layouts:
    category: layout-left-column
    best-sales: layout-left-column
    new-products: layout-left-column
    prices-drop: layout-left-column
    contact: layout-left-column
